Bug 182211

Summary: [WebAuthN] Add a compile-time feature flag
Product: WebKit Reporter: Jiewen Tan <jiewen_tan>
Component: WebCore Misc.Assignee: Jiewen Tan <jiewen_tan>
Status: RESOLVED FIXED    
Severity: Normal CC: bfulgham, commit-queue, jiewen_tan, webkit-bug-importer, wenson_hsieh
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 181943    
Attachments:
Description Flags
Patch
bfulgham: review+, bfulgham: commit-queue-
Patch for landing none

Description Jiewen Tan 2018-01-26 22:31:14 PST
Add a feature flag for WebAuthN.
Comment 1 Radar WebKit Bug Importer 2018-01-26 22:31:42 PST
<rdar://problem/36936365>
Comment 2 Jiewen Tan 2018-01-26 22:44:38 PST
Created attachment 332460 [details]
Patch
Comment 3 Brent Fulgham 2018-01-28 16:49:10 PST
Comment on attachment 332460 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=332460&action=review

Please revise the title to reflect that you are adding a COMPILE TIME feature flag, since we already had a runtime flag for enabling/disabling this experimental feature.

> Source/JavaScriptCore/ChangeLog:3
> +        [WebAuthN] Add a feature flag

Add a compile-time feature flag

> Source/WebCore/ChangeLog:9
> +        Add a feature flag for WebAuthN as most of the functionalities are platform

"Add a compile-time feature flag"

"most of the functionality is platform dependent"
Comment 4 Jiewen Tan 2018-01-29 14:29:48 PST
Comment on attachment 332460 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=332460&action=review

Thanks Brent for r+ the patch.

>> Source/JavaScriptCore/ChangeLog:3
>> +        [WebAuthN] Add a feature flag
> 
> Add a compile-time feature flag

Fixed.

>> Source/WebCore/ChangeLog:9
>> +        Add a feature flag for WebAuthN as most of the functionalities are platform
> 
> "Add a compile-time feature flag"
> 
> "most of the functionality is platform dependent"

Fixed.
Comment 5 Jiewen Tan 2018-01-29 14:34:32 PST
Created attachment 332582 [details]
Patch for landing
Comment 6 WebKit Commit Bot 2018-01-29 17:20:24 PST
Comment on attachment 332582 [details]
Patch for landing

Clearing flags on attachment: 332582

Committed r227764: <https://trac.webkit.org/changeset/227764>